package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * 对外投资列表
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseBussinessClientPageBody extends BasePage {

    //企业Id
    @NotNull(message = "企业id不能为空")
    private Integer cid;


    /**
     * 查询关键词
     */
    private String keys;

    /*
     * 1金额倒序，2金额正序，3时间倒序，4时间正序，5次数倒序，6次数正序
     */
    @NotNull(message = "排序条件不能为空")
    private Integer sort;


}
